FROM openshift/golang-builder:rhel_8_golang_1.16 AS builder
ENV __doozer=update BUILD_RELEASE=202109092008.p0.git.63e9d1f.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202109092008.p0.git.63e9d1f.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge KUBE_GIT_COMMIT=63e9d1f34da802303ac216c7315beaeb156006b9 KUBE_GIT_MAJOR=1 KUBE_GIT_MINOR=16+ KUBE_GIT_TREE_STATE=clean KUBE_GIT_VERSION=v1.16.0+63e9d1f OS_GIT_COMMIT=63e9d1f OS_GIT_VERSION=4.8.0-202109092008.p0.git.63e9d1f.assembly.stream-63e9d1f SOURCE_DATE_EPOCH=1623253750 SOURCE_GIT_COMMIT=63e9d1f34da802303ac216c7315beaeb156006b9 SOURCE_GIT_TAG=63e9d1f SOURCE_GIT_URL=https://github.com/openshift/local-storage-operator 
WORKDIR /go/src/github.com/openshift/local-storage-operator
COPY . .
RUN make build-operator

FROM openshift/ose-base:v4.8.0.20210909.201724
ENV __doozer=update BUILD_RELEASE=202109092008.p0.git.63e9d1f.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202109092008.p0.git.63e9d1f.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge KUBE_GIT_COMMIT=63e9d1f34da802303ac216c7315beaeb156006b9 KUBE_GIT_MAJOR=1 KUBE_GIT_MINOR=16+ KUBE_GIT_TREE_STATE=clean KUBE_GIT_VERSION=v1.16.0+63e9d1f OS_GIT_COMMIT=63e9d1f OS_GIT_VERSION=4.8.0-202109092008.p0.git.63e9d1f.assembly.stream-63e9d1f SOURCE_DATE_EPOCH=1623253750 SOURCE_GIT_COMMIT=63e9d1f34da802303ac216c7315beaeb156006b9 SOURCE_GIT_TAG=63e9d1f SOURCE_GIT_URL=https://github.com/openshift/local-storage-operator 
COPY --from=builder /go/src/github.com/openshift/local-storage-operator/_output/bin/local-storage-operator /usr/bin/
COPY manifests /manifests
ENTRYPOINT ["/usr/bin/local-storage-operator"]

LABEL \
        com.redhat.delivery.appregistry="False" \
        io.k8s.display-name="OpenShift local-storage-operator" \
        io.k8s.description="This is a component of OpenShift and manages local volumes." \
        maintainer="Hemant Kumar <hekumar@redhat.com>" \
        name="openshift/ose-local-storage-operator" \
        com.redhat.component="local-storage-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Storage" \
        io.openshift.maintainer.subcomponent="Local Storage Operator" \
        release="202109092008.p0.git.63e9d1f.assembly.stream" \
        io.openshift.build.commit.id="63e9d1f34da802303ac216c7315beaeb156006b9" \
        io.openshift.build.source-location="https://github.com/openshift/local-storage-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/local-storage-operator/commit/63e9d1f34da802303ac216c7315beaeb156006b9" \
        version="v4.8.0"

